<?php

namespace Thinkpool;

use WeDevs_Settings_API;

class SettingsApiExtended extends WeDevs_Settings_API
{

    public function __construct()
    {
        parent::__construct();
    }
    function callback_email($args)
    {

        $value       = esc_attr($this->get_option($args['id'], $args['section'], $args['std']));
        $size        = isset($args['size']) && !is_null($args['size']) ? $args['size'] : 'regular';
        $type        = isset($args['type']) ? $args['type'] : 'email';
        $placeholder = empty($args['placeholder']) ? '' : ' placeholder="' . $args['placeholder'] . '"';
        $html        = sprintf('<input type="%1$s" class="%2$s-text" id="%3$s[%4$s]" name="%3$s[%4$s]" value="%5$s"%6$s/>', $type, $size, $args['section'], $args['id'], $value, $placeholder);
        $html       .= $this->get_field_description($args);

        echo $html;
    }
}
